Subject: [OSPF] section 2.10 of RFC 2740

From: "Faraz Shamim" <[email-masked]>
Date: Sun, 25 Feb 2007 21:48:25 -0600

The last two para says:
 
Section 2.10
[...
 
However, unlike in IPv4, IPv6 allows LSAs with unrecognized LS types
to be labeled "Store and flood the LSA, as if type understood" (see
the U-bit in Section A.4.2.1). Uncontrolled introduction of such LSAs
could cause a stub area's link-state database to grow larger than its
component routers' capacities.
 
To guard against this, the following rule regarding stub areas has
been established: an LSA whose LS type is unrecognized may only be
flooded into/throughout a stub area if both a) the LSA has area or
link-local flooding scope and b) the LSA has U-bit set to 0. See
Section 3.5 for details.
 
..]
 
Two questions:
 
1. This term: "Store and flood the LSA, as if type understood" gives an
impression that we are talking about the case when U bit is set 1 per
A.4.2.1. But in the second para it talks about the case of U bit set to "0"
. So which one is correct? Store and flood points to U bit is set to "1" so
why it refers to U bit set to 0 in the second para?
 
2. In the last para it says that if the LS type is unrecognized then it may
only flood when BOTH a) and b) are true. So if b) is true then a) can not be
true because with U bit set to 0 you are suppose to treat the LSA as if it
had a link local scope. Since a) says area OR link-local flooding scope so
its partially true. The "..area scope" part is confusing.
 
I would appreciate if someone can please clarify this.
 
Thanks,
 
Faraz
 
_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Mon, 26 Feb 2007 06:26:42 -0500

Hi Faraz,
On Feb 25, 2007, at 10:48 PM, Faraz Shamim wrote:

> 1. This term: "Store and flood the LSA, as if type understood"  
> gives an impression that we are talking about the case when U bit  
> is set 1 per A.4.2.1. But in the second para it talks about the  
> case of U bit set to "0" . So which one is correct? Store and flood  
> points to U bit is set to "1" so why it refers to U bit set to 0 in  
> the second para?

Because RFC 2740 attempts to prevent the introduction of unknown LSAs  
into stub areas by changing the rule to only flood unknown LSAs when  
the U-bit is set to zero.  As you can imagine, this is somewhat broken.

>
> 2. In the last para it says that if the LS type is unrecognized  
> then it may only flood when BOTH a) and b) are true. So if b) is  
> true then a) can not be true because with U bit set to 0 you are  
> suppose to treat the LSA as if it had a link local scope. Since a)  
> says area OR link-local flooding scope so its partially true. The  
> "..area scope" part is confusing.

The confusion lies in the fact that the U-bit isn't really applicable  
to link-local scope LSAs. Whether the U-bit is set or clear, LSA  
flooding is limited to the local link.

Note that http://www.ietf.org/internet-drafts/draft-ietf-ospf-ospfv3- 
update-14.txt removes the restriction of flooding LSAs with unknown  
function code into stub and NSSA areas.

Hope this helps,
Acee